#!/usr/bin/env bash
print_collsize() {
  echo "on rank 0: starting Test with SION_COLLSIZE=$LSION_COLLSIZE" >> stdout.log
  echo "on rank 0: starting Test with SION_COLLSIZE=$LSION_COLLSIZE" >> stderr.log
}
test2() {
  export LSION_COLLSIZE=4
  print_collsize
  . ../mpirun.defs
  ${MPIEXEC} ${MPIEXEC_NP} 4 ../test_${TESTNAME} 1>> stdout.log 2>> stderr.log
}
. ./test_parallel.sh
test_parallel coll___1 \
  pre_hook:print_collsize \
  post_hook:test2
